Package

## Class AdMetaInfo

- All Implemented Interfaces:

      public final class AdMetaInfo

  Class containing meta information for an ad

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final Double` | `bid` |
    `private final JSONObject` | `bidInfo` |
    `private final String` | `bidKeyword` |
    `private final String` | `creativeID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdMetaInfo(String creativeID, JSONObject mTransactionInfo)` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final Double` | `getBid()` |
    `final JSONObject` | `getBidInfo()` |
    `final String` | `getBidKeyword()` |
    `final String` | `getCreativeID()` | Method to get the creativeID for the current ad

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdMetaInfo

          AdMetaInfo(String creativeID, JSONObject mTransactionInfo)

  - ### Method Detail

    - #### getBid

           final Double getBid()

    - #### getBidInfo

           final JSONObject getBidInfo()

    - #### getBidKeyword

           final String getBidKeyword()

    - #### getCreativeID

           final String getCreativeID()

      Method to get the creativeID for the current ad